# -*- encoding: utf-8 -*-
require File.expand_path(File.join('..', 'lib', 'carrierwave-delay', 'version'), __FILE__)

Gem::Specification.new do |gem|
    gem.name                  = 'carrierwave-delay'
    gem.version               = CarrierwaveDelay::VERSION
    gem.platform              = Gem::Platform::RUBY
    gem.summary               = 'Asynchronous processing with CarrierWave'
    gem.description           = 'With carrierwave-delay you can offload version processing of your Carrierwave uploaders to Sidekiq and ActiveJob instances.'
    gem.authors               = ['Jonas Hübotter']
    gem.email                 = 'developer@slooob.com'
    gem.homepage              = 'https://developer.slooob.com/open-source'
    gem.license               = 'MIT'

    gem.files                 = `git ls-files`.split("\n")
    gem.require_paths         = ['lib']

    gem.post_install_message  = IO.read('INSTALL.md')

    gem.required_ruby_version = '>= 2.0'


    gem.add_dependency 'rails', '>= 4.0'
    gem.add_dependency 'carrierwave', '~> 1.2'
end
